import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconGear = (props: IconProps) => {
    return <Icon id="IconGear" {...props}>
        <path d="M39.7397 26.4474C39.8495 25.6687 39.9592 24.8899 39.9592 24C39.9592 23.11 39.8495 22.3313 39.7397 21.5526L44.68 17.9928C45.1192 17.6591 45.3387 16.9916 45.0094 16.4354L40.1788 8.20335C39.8495 7.64713 39.3005 7.42464 38.7516 7.75837L33.2623 10.317C31.9449 9.31579 30.6274 8.53708 29.0904 7.86962L28.5415 1.7512C28.4317 1.19498 27.9926 0.75 27.4437 0.75H18.0021C17.4531 0.75 16.9042 1.19498 16.9042 1.7512L16.3553 7.86962C14.8183 8.53708 13.3911 9.31579 12.1834 10.317L6.69413 7.75837C6.1452 7.53588 5.48648 7.75837 5.26691 8.20335L0.54612 16.4354C0.216762 16.9916 0.436334 17.6591 0.875477 17.9928L5.81584 21.5526C5.70606 22.3313 5.59627 23.11 5.59627 24C5.59627 24.8899 5.70606 25.6687 5.81584 26.4474L0.655906 30.0072C0.216763 30.3409 -0.00280927 31.0084 0.326548 31.5646L5.04734 39.7966C5.3767 40.3529 5.92563 40.5754 6.47456 40.2416L11.9638 37.683C13.2813 38.6842 14.5987 39.4629 16.1357 40.1304L16.6846 46.2488C16.7944 46.805 17.2336 47.25 17.7825 47.25H27.2241C27.773 47.25 28.3219 46.805 28.3219 46.2488L28.8709 40.1304C30.4079 39.4629 31.8351 38.6842 33.0427 37.683L38.532 40.2416C39.081 40.4641 39.7397 40.2416 39.9592 39.7966L44.68 31.5646C45.0094 31.0084 44.7898 30.3409 44.3507 30.0072L39.7397 26.4474ZM22.6131 35.1244C16.5749 35.1244 11.6345 30.1184 11.6345 24C11.6345 17.8816 16.5749 12.8756 22.6131 12.8756C28.6513 12.8756 33.5917 17.8816 33.5917 24C33.5917 30.1184 28.6513 35.1244 22.6131 35.1244Z" fill="#796E95"/>
    </Icon>;
};

export default IconGear;
